POSTkaia_getTransactionByBlockHashAndIndex

Returns transaction information by block hash and transaction index.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Enter the following parameters as an array with the appropriate types.

  1. block hash: Enter the block hash to query as a 64-digit hexadecimal string.
  2. transaction index: Enter the transaction index as a hexadecimal string.
params[0]string

Block hash is the unique identifier of a block. The block hash is represented as a 64-character hexadecimal string.

params[1]string

Transaction index represents the position of a specific transaction within a block. It is expressed as a hexadecimal string.

Responses
blockHashstring

Hash of the block containing this transaction. Null for pending transactions

blockNumberstring

Block number containing this transaction (hex). Null for pending transactions

fromstring

Sender address of the transaction

gasstring

Gas limit set for the transaction (hex)

gasPricestring

Gas price (hex, in peb)

hashstring

Transaction hash

inputstring

Transaction input data (hex)

noncestring

Number of transactions sent by the sender prior to this one (hex)

tostring

Recipient address. Null for contract creation transactions

transactionIndexstring

Transaction position index within the block (hex). Null for pending transactions

valuestring

Amount of KAIA transferred (hex, in peb)

typestring

Transaction type (hex string)

typeIntinteger

Transaction type as integer

Vstring

ECDSA signature v value (hex)

Rstring

ECDSA signature r value (hex)

Sstring

ECDSA signature s value (hex)

chainIdstring

Chain ID of the network this transaction belongs to (hex)

X-API-KEY
RequestCU15
cURL
curl -X POST "https://kaia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "kaia_getTransactionByBlockHashAndIndex",
  "params": [
    "0x59f63e3840e0f4a1659074c1a4021e881a268a52d31958688da1d66bfbf6d2ca",
    "0x0"
  ]
}'
Response
Example · 200
{
  "blockHash": "string",
  "blockNumber": "string",
  "from": "string",
  "gas": "string",
  "gasPrice": "string",
  "hash": "string",
  "input": "string",
  "nonce": "string",
  "to": "string",
  "transactionIndex": "string",
  "value": "string",
  "type": "string",
  "typeInt": 0,
  "signatures": [
    {
      "V": "string",
      "R": "string",
      "S": "string"
    }
  ],
  "chainId": "string"
}